/*
 * Copyright (c) 2000 Greg Haerr <greg@censoft.com>
 *
 * Nano-X Client utility routines
 *
 * These routines are Gr* functionality without requiring new API entry points.
 */
#include <stdio.h>
#include <stdlib.h>
#define MWINCLUDECOLORS
#include "nano-X.h"

/*
 * Create new window with passed style, title and location.
 */
GR_WINDOW_ID
GrNewWindowEx(GR_WM_PROPS props, GR_CHAR *title, GR_WINDOW_ID parent,
	GR_COORD x, GR_COORD y, GR_SIZE width, GR_SIZE height,
	GR_COLOR background)
{
	GR_WINDOW_ID		wid;
	GR_WM_PROPERTIES	wmprops;

	/* create window with no borders*/
	wid = GrNewWindow(parent, x, y, width, height, 0, background, BLACK);
	if (wid) {
		/* set properties and title*/
		wmprops.flags = GR_WM_FLAGS_PROPS | GR_WM_FLAGS_TITLE;
		wmprops.props = props;
		wmprops.title = title;
		GrSetWMProperties(wid, &wmprops);
	}
	return wid;
}

/* draw an array of lines*/
void
GrDrawLines(GR_DRAW_ID w, GR_GC_ID gc, GR_POINT *points, GR_COUNT count)
{
	GR_POINT	beg, end;

	if (count < 1)
		return;
	if (count == 1) {
		GrPoint(w, gc, points->x, points->y);
		return;
	}
	
	beg = *points++;
	while (--count > 0) {
		end = *points++;
		GrLine(w, gc, beg.x, beg.y, end.x, end.y);
		beg = end;
	}
}
